Skip to main content
`Ctrl`+`K`

# petsc4py.PETSc.Viewer.Type

class petsc4py.PETSc.Viewer.Type

  Bases: `object`

  Viewer type.

  Attributes Summary

  `ADIOS` | Object `ADIOS` of type `str`
  `ASCII` | Object `ASCII` of type `str`
  `BINARY` | Object `BINARY` of type `str`
  `DRAW` | Object `DRAW` of type `str`
  `EXODUSII` | Object `EXODUSII` of type `str`
  `GLVIS` | Object `GLVIS` of type `str`
  `HDF5` | Object `HDF5` of type `str`
  `MATHEMATICA` | Object `MATHEMATICA` of type `str`
  `MATLAB` | Object `MATLAB` of type `str`
  `PYTHON` | Object `PYTHON` of type `str`
  `PYVISTA` | Object `PYVISTA` of type `str`
  `SAWS` | Object `SAWS` of type `str`
  `SOCKET` | Object `SOCKET` of type `str`
  `STRING` | Object `STRING` of type `str`
  `VTK` | Object `VTK` of type `str`
  `VU` | Object `VU` of type `str`

  Attributes Documentation

  ADIOS: str = ADIOS

    Object `ADIOS` of type `str`

  ASCII: str = ASCII

    Object `ASCII` of type `str`

  BINARY: str = BINARY

    Object `BINARY` of type `str`

  DRAW: str = DRAW

    Object `DRAW` of type `str`

  EXODUSII: str = EXODUSII

    Object `EXODUSII` of type `str`

  GLVIS: str = GLVIS

    Object `GLVIS` of type `str`

  HDF5: str = HDF5

    Object `HDF5` of type `str`

  MATHEMATICA: str = MATHEMATICA

    Object `MATHEMATICA` of type `str`

  MATLAB: str = MATLAB

    Object `MATLAB` of type `str`

  PYTHON: str = PYTHON

    Object `PYTHON` of type `str`

  PYVISTA: str = PYVISTA

    Object `PYVISTA` of type `str`

  SAWS: str = SAWS

    Object `SAWS` of type `str`

  SOCKET: str = SOCKET

    Object `SOCKET` of type `str`

  STRING: str = STRING

    Object `STRING` of type `str`

  VTK: str = VTK

    Object `VTK` of type `str`

  VU: str = VU

    Object `VU` of type `str`

  __init__()
  classmethod __new__(*args, **kwargs)